Subject: Re: Mercurial 0.3 vs git benchmarks

From: Theodore Ts'o <[email-masked]>
Date: Wed, 27 Apr 2005 17:32:50 -0400

On Wed, Apr 27, 2005 at 11:06:06PM +0200, Florian Weimer wrote:
> * H. Peter Anvin:
> 
> > Florian Weimer wrote:
> >> Benchmarks are actually a bit tricky because as far as I can tell,
> >> once you hash the directories, they are tainted even if you mount your
> >> file system with ext2.
> >
> > That's what fsck -D is for.
> 
> Ah, cool, I didn't know that it works the other way, too.  Thanks.

If htree support is disabled, e2fsck -D sorts by name, which was a
silly thing to do.  I should change it to sort by inode number instead
(trivial patch).  This might not be a problem for the maildir format,
given its naming convention.

						- Ted